SuSE 10 Security Update : opensc (ZYPP Patch Number 5493)

Medium Nessus Plugin ID 34078


The remote SuSE 10 host is missing a security-related patch.


This update fix a security issues with opensc that occurs during initializing blank smart cards with Siemens CardOS M4. It allows to set the PIN of the smart card without authorization. (CVE-2008-2235)

NOTE: Already initialized cards are still vulnerable after this update. Please use the command-line tool pkcs15-tool with option
--test-update and --update when necessary.


Apply ZYPP patch number 5493.

See Also

Plugin Details

Severity: Medium

ID: 34078

File Name: suse_opensc-5493.nasl

Version: $Revision: 1.18 $

Type: local

Agent: unix

Published: 2008/09/03

Modified: 2012/10/08

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.9

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:C/A:N

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/08/01

Reference Information

CVE: CVE-2008-2235

CWE: 310